<?php
/* Copyright (c) 1998-2016 ILIAS open source, Extended GPL, see docs/LICENSE */

require_once 'Services/Export/classes/class.ilExportGUI.php';

/**
 * Export User Interface Class
 * @author  Nadia Matuschek <nmatuschek@databay.de>
 */
class ilFormATestExportGUI extends ilExportGUI
{
	/**
	 * {@inheritdoc}
	 */
	protected function buildExportTableGUI()
	{
		require_once 'tables/class.ilFormATestExportTableGUI.php';
		$table = new ilFormATestExportTableGUI($this, 'listExportFiles', $this->obj);
		return $table;
	}
	
	/**
	 * Download file
	 */
	public function download()
	{
		if(isset($_GET['file']) && $_GET['file'])
		{
			$_POST['file'] = array($_GET['file']);
		}
		parent::download();
	}
}